services:
  frps:
    image: ${FRPS_IMAGE}
    restart: unless-stopped
    env_file:
      - secret.env
    command: [-c, /etc/frp/frps.toml]
    ports:
      - ${FRPS_CONTROL_PORT}:${FRPS_CONTROL_PORT}/tcp
      - ${FRP_REMOTE_PORT}:${FRP_REMOTE_PORT}/tcp
    volumes:
      - ./frps.toml:/etc/frp/frps.toml:ro
    logging:
      driver: json-file
      options:
        max-size: 20m
        max-file: "3"
